/* ========================================
 *  Nikola - Nikola.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Nikola_Nikola_H
#define __Nikola_Nikola_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Nikola {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class Nikola final : public SfxCoreExtensionV1
{
public:
    Nikola();
    ~Nikola();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	int framenumberL;
	bool WasNegativeL;
	double outlevelL;
	
	int framenumberR;
	bool WasNegativeR;
	double outlevelR;
	
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
    float B;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
